// Calibrating the load cell
#include "HX711.h"

// HX711 circuit wiring
const int LOADCELL_DOUT_PIN = 2;
const int LOADCELL_SCK_PIN = 3;

HX711 scale;
float value1 = 0;
int counter = 1;


void setup() {
  Serial.begin(57600);
  scale.begin(LOADCELL_DOUT_PIN, LOADCELL_SCK_PIN);
  Serial.println("Measuriung 10x with 50g.");
  delay(1000);
  
}



void loop() {

  if (scale.is_ready()) {
    scale.set_scale();    
    Serial.println("Tare... remove any weights from the scale.");
    delay(4000);
    scale.tare();
    Serial.println("Tare done...");
    Serial.print(counter);Serial.print(".   Place a known weight on the scale.... ");
    delay(4000);
    long reading = scale.get_units(10);
    Serial.print("Result: ");
    Serial.println(reading);
    Serial.print("             Factor: ");Serial.println(reading/50); 
    value1 = value1 + (reading/50);
    counter ++;
    if (counter == 11) {
       Serial.print("Calibration factor:    "); Serial.println(value1/10);
       delay(1000);
       counter = 1;
       Serial.println();Serial.println();Serial.println();
    }
  //else {
  //  Serial.println("HX711 not found.");
  //}
  delay(1000);
 }
}

//calibration factor will be the (reading)/(known weight)
